Bug 11713 - Need to add /usr/X11R6/lib to /usr/lib/ldscripts/elf_i386.x
Summary: Need to add /usr/X11R6/lib to /usr/lib/ldscripts/elf_i386.x
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: binutils   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-28 12:02 UTC by Tom Flynn
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 23:40:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tom Flynn 2000-05-28 12:02:24 UTC
Under Red Hat Linux, one has to add -L/usr/X11R6/lib to one's makefile
in order to link any program that uses X in any way.  This breaks
compatability with all other Unices.  A simple solution is to add
/usr/X11R6/lib to the ldscripts for the linker.

The current path compiled into the ldscripts is:
SEARCH_DIR(/lib); SEARCH_DIR(/usr/lib); SEARCH_DIR(/usr/local/lib);
SEARCH_DIR(/usr/i386-redhat-linux/lib);

-tom


Note You need to log in before you can comment on or make changes to this bug.